Server Table Auditing Policies - Create Or Update
Hiermee maakt of werkt u het controlebeleid voor een servertabel bij. Tabelcontrole is afgeschaft. Gebruik in plaats daarvan blobcontrole.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/auditingPolicies/default?api-version=2014-04-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
De naam van de resourcegroep die de resource bevat. U kunt deze waarde verkrijgen via de Azure Resource Manager-API of de portal. |
|
server
|
path | True |
string |
De naam van de server. |
|
subscription
|
path | True |
string |
De abonnements-id waarmee een Azure-abonnement wordt geïdentificeerd. |
|
table
|
path | True |
De naam van het controlebeleid voor tabellen. |
|
|
api-version
|
query | True |
string |
De API-versie die moet worden gebruikt voor de aanvraag. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| properties.auditLogsTableName |
string |
De tabelnaam van de auditlogboeken. |
| properties.auditingState |
string |
De status van het beleid. |
| properties.eventTypesToAudit |
string |
Door komma's gescheiden lijst met gebeurtenistypen die moeten worden gecontroleerd. |
| properties.fullAuditLogsTableName |
string |
De tabelnaam van de volledige auditlogboeken. |
| properties.retentionDays |
string |
Het aantal dagen dat in de auditlogboeken moet worden bewaard. |
| properties.storageAccountKey |
string |
De sleutel van het opslagaccount voor controle. |
| properties.storageAccountName |
string |
De naam van het table storage-account |
| properties.storageAccountResourceGroupName |
string |
De naam van de resourcegroep van het tabelopslagaccount |
| properties.storageAccountSecondaryKey |
string |
De secundaire sleutel van het opslagaccount voor controle. |
| properties.storageAccountSubscriptionId |
string (uuid) |
De abonnements-id voor table storage. |
| properties.storageTableEndpoint |
string |
Het eindpunt van de opslagtabel. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Het controlebeleid voor servertabellen is ingesteld. |
|
| 201 Created |
Het controlebeleid voor servertabellen is gemaakt. |
Voorbeelden
Create or update server table auditing policy
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/blobauditingtest-6852/providers/Microsoft.Sql/servers/blobauditingtest-2080/auditingPolicies/default?api-version=2014-04-01
Voorbeeldrespons
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/blobauditingtest-6852/providers/Microsoft.Sql/servers/blobauditingtest-2080/databases/testdb/auditingPolicies/Default",
"name": "Default",
"type": "Microsoft.Sql/servers/databases/auditingPolicies",
"location": "West US",
"kind": null,
"properties": {
"auditingState": "New",
"eventTypesToAudit": "PlainSQL_Success,PlainSQL_Failure,ParameterizedSQL_Success,ParameterizedSQL_Failure,StoredProcedure_Success,StoredProcedure_Failure,Login_Success,Login_Failure,TransactionManagement_Success,TransactionManagement_Failure",
"storageAccountName": null,
"storageAccountKey": null,
"storageAccountSecondaryKey": null,
"storageTableEndpoint": null,
"storageAccountResourceGroupName": null,
"storageAccountSubscriptionId": null,
"fullAuditLogsTableName": "SQLDBAuditLogsBlobauditingtest2080",
"auditLogsTableName": "Blobauditingtest2080",
"retentionDays": "0"
}
}
Definities
| Name | Description |
|---|---|
|
Server |
Een controlebeleid voor servertabellen. |
|
Table |
De naam van het controlebeleid voor tabellen. |
ServerTableAuditingPolicy
Een controlebeleid voor servertabellen.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource-id. |
| kind |
string |
Resourcetype. |
| location |
string |
Resourcelocatie. |
| name |
string |
Resourcenaam. |
| properties.auditLogsTableName |
string |
De tabelnaam van de auditlogboeken. |
| properties.auditingState |
string |
De status van het beleid. |
| properties.eventTypesToAudit |
string |
Door komma's gescheiden lijst met gebeurtenistypen die moeten worden gecontroleerd. |
| properties.fullAuditLogsTableName |
string |
De tabelnaam van de volledige auditlogboeken. |
| properties.retentionDays |
string |
Het aantal dagen dat in de auditlogboeken moet worden bewaard. |
| properties.storageAccountKey |
string |
De sleutel van het opslagaccount voor controle. |
| properties.storageAccountName |
string |
De naam van het table storage-account |
| properties.storageAccountResourceGroupName |
string |
De naam van de resourcegroep van het tabelopslagaccount |
| properties.storageAccountSecondaryKey |
string |
De secundaire sleutel van het opslagaccount voor controle. |
| properties.storageAccountSubscriptionId |
string (uuid) |
De abonnements-id voor table storage. |
| properties.storageTableEndpoint |
string |
Het eindpunt van de opslagtabel. |
| type |
string |
Resourcetype. |
TableAuditingPolicyName
De naam van het controlebeleid voor tabellen.
| Waarde | Description |
|---|---|
| default |